 <template>
   <v-container>      
       <v-row>
       <Photo
       v-for="photo in $store.getters.getAllPhotos"
       v-bind:photo="photo"
       :key="photo.id"      
      
       
       />
       </v-row>
       
   </v-container>
 </template>
 
 <script>
  import Photo from '../components/photo/Photo'
  
 export default {
     components: {Photo},
      data() {
       return{
           photos: []
                                        
                
           
       }
   },
   mounted() {
       this.$store.dispatch('fetchPhotos')
   },

   methods: {
       
       addPhoto(photo) {
           this.photos.push(photo)
       },
       openPhoto(photo) {
           this.currentPhoto = photo
           this.dialogVisible = true
       }
   }
 
 }
 </script>
 
 <style>
 
 </style>